1. Rule Logs
Synci API
  • Overview
  • Guides
    • Authentication
    • Building OAuth apps
    • Webhooks
    • Pagination, filtering, and sorting
    • Errors
    • Rate limits
    • MCP: Connect AI assistants
  • API Reference
    • Finance
      • Connections
        • List all financial connections
        • Create a new financial connection
        • Get financial connection
        • Delete financial connection
        • Disable financial connection
        • Reconfirm the consent of a financial connection
      • Accounts
        • List all financial accounts
        • Get financial account
        • Update financial account
        • Delete financial account
        • Sync financial account data
        • Reset financial account config to defaults
        • List all account balance entries
        • Get account balance entry
        • List account holdings
        • Get account holding
      • Transactions
        • List all transactions
        • Create a new transaction
        • Get transaction
        • Update transaction
        • Delete transaction
        • Bulk delete transactions
      • Institutions
        • Get supported countries
        • List all supported institutions
        • Get supported institution
    • Destinations
      • YNAB Connections
        • YNAB Budgets
          • YNAB Budget Accounts
            • List all YNAB budget accounts
            • Get YNAB budget account
            • Delete YNAB budget account
          • List all YNAB budgets
          • Get YNAB budget
          • Delete YNAB budget
          • Update YNAB budget
        • List all YNAB connections
        • Create new YNAB connection
        • Get YNAB connection
        • Delete YNAB connection
        • Update YNAB connection
        • Refresh YNAB connection
      • Lunch Money Connections
        • Lunch Money Accounts
          • List all Lunch Money accounts
          • Get Lunch Money account
          • Delete Lunch Money account
        • List all Lunch Money connections
        • Create new Lunch Money connection
        • Get Lunch Money connection
        • Delete Lunch Money connection
        • Update Lunch Money connection
        • Refresh Lunch Money connection
      • Google Sheets Connections
        • Sheets
          • List destination spreadsheets for a connection
          • Register a destination spreadsheet
          • Get a destination spreadsheet
          • Update a destination spreadsheet
          • Delete a destination spreadsheet
          • List the worksheets (tabs) of a spreadsheet
          • Create a new worksheet (tab) in a spreadsheet
        • List all Google Sheets connections
        • Create new Google Sheets connection
        • Get Google Sheets connection
        • Delete Google Sheets connection
        • Update Google Sheets connection
        • Refresh Google Sheets connection
    • Transfer Links
      • List all transfer links
      • Create a new transfer link
      • Get transfer link
      • Update transfer link
      • Delete transfer link
      • Retry transfers for all transfer links
      • Retry transfers for a specific transfer link
    • Transfer Logs
      • List all transfer logs
      • Get transfer log
      • Undo a transfer
      • Undo multiple transfers
    • Rules
      • Create a new rule
      • List all rules
      • Get rule
      • Update rule
      • Delete rule
      • Attach rule to transfer link
      • Detach rule from transfer link
      • Reorder rules for a transfer link
      • Attach rule to a financial account
      • Detach rule from financial account
      • Reorder rules for a financial account
      • Preview a rule against transactions (dry-run)
    • Rule Logs
      • List all rule logs
        GET
      • Get rule log
        GET
      • Undo multiple rule actions
        PUT
      • Undo a rule action
        PUT
    • Webhooks
      • List all webhook events
      • List all webhook endpoints
      • Create new webhook endpoint
      • Get webhook endpoint
      • Update webhook endpoint
      • Delete webhook endpoint
      • Test webhook endpoint
      • Rotate webhook secret
  • ActualBudgetConnections
    • List all Actual Budget connections
      GET
    • Create new Actual Budget connection
      POST
    • Get Actual Budget connection
      GET
    • Update Actual Budget connection
      PUT
    • Delete Actual Budget connection
      DELETE
    • Regenerate setup token
      POST
    • Revoke access credentials
      POST
    • List accounts linked in Actual
      GET
  • Schemas
    • AccountHoldingResource
    • ActualBudgetAccountResource
    • ActualBudgetConnectionResource
    • BalanceTypeEnum
    • BulkDeleteTransactionsRequest
    • BulkUndoRuleLogsRequest
    • BulkUndoTransferLogsRequest
    • CreateFinancialConnectionRequest
    • CreateGoogleSheetTabRequest
    • CreateGoogleSheetsConnectionRequest
    • CreateLunchMoneyConnectionRequest
    • CreateRuleRequest
    • CreateTransactionRequest
    • CreateTransferLinkRequest
    • CreateWebhookEndpointRequest
    • CreateYnabConnectionRequest
    • DestinationTypeEnum
    • EnrichmentProviderEnum
    • FinancialAccount
    • FinancialAccountBalanceResource
    • FinancialAccountResource
    • FinancialConnectionResource
    • GoogleSheetResource
    • GoogleSheetsConnectionResource
    • HealthResource
    • HealthStatusEnum
    • InstitutionConfigMappedDateEnum
    • InstitutionConfigMappedTextEnum
    • InstitutionConfigResource
    • InstitutionResource
    • IntegratorEnum
    • LunchMoneyAccountResource
    • LunchMoneyConnectionResource
    • PreviewRuleRequest
    • ReauthorizeFinancialConnectionRequest
    • RetryTransfersAllLinksRequest
    • RetryTransfersRequest
    • RuleActionResource
    • RuleActionTypeEnum
    • RuleConditionResource
    • RuleLogResource
    • RuleOperatorEnum
    • RuleResource
    • RuleTypeEnum
    • StoreActualBudgetConnectionRequest
    • StoreGoogleSheetRequest
    • SyncFinancialAccountRequest
    • TestWebhookRequest
    • TransactionResource
    • TransactionTypeEnum
    • TransferLink
    • TransferLinkResource
    • TransferLinkSyncModeEnum
    • TransferLogResource
    • TransferLogStatusEnum
    • UpdateActualBudgetConnectionRequest
    • UpdateFinancialAccountRequest
    • UpdateGoogleSheetRequest
    • UpdateGoogleSheetsConnectionRequest
    • UpdateLunchMoneyConnectionRequest
    • UpdateRuleRequest
    • UpdateTransactionRequest
    • UpdateTransferLinkRequest
    • UpdateWebhookEndpointRequest
    • UpdateYnabBudgetRequest
    • UpdateYnabConnectionRequest
    • WebhookEndpointPayloadVersion
    • WebhookEndpointResource
    • WebhookEventResource
    • WebhookEventTypeEnum
    • WebhookTypeEnum
    • YnabBudgetAccountResource
    • YnabBudgetAccountTypeEnum
    • YnabBudgetResource
    • YnabConnectionResource
  1. Rule Logs

List all rule logs

GET
/rule-logs
Rule logs are created any time Synci attempts to apply a rule to a bank transaction.
Since rule logs can have a relationship to both the rule and the bank transaction, you can use this endpoint to get all rule logs for a specific rule or bank transaction.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
OAuth 2.0
Authorization Code
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Authorize URL: https://api.synci.io/oauth/authorize
Token URL: https://api.synci.io/oauth/token
or
Query Params

Responses

🟢200OK
application/json
Paginated set of RuleLogResource
Bodyapplication/json

🟠401AuthenticationException
🟠403AuthorizationException
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://api.synci.io/api/v1/rule-logs?sort=undefined&include=undefined&page[size]=undefined&page[number]=undefined&filter[rule_id]=undefined&filter[transaction_id]=undefined&filter[transaction_type]=undefined&filter[transfer_link_id]=undefined&filter[rule_action_id]=undefined&filter[field_name]=undefined&filter[success]=undefined&filter[undone_log_id]=undefined&filter[search]=undefined' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "data": [
        {
            "id": 0,
            "transaction_id": 0,
            "transaction_type": "string",
            "transfer_link_id": 0,
            "rule_id": 0,
            "rule": {
                "id": 0,
                "type": "BANK",
                "name": "string",
                "description": "string",
                "enabled": true,
                "migrated": true,
                "trigger_on_any_condition": true,
                "skip_other_rules_when_triggered": true,
                "conditions": [
                    {
                        "id": 0,
                        "transaction_type": "BANK",
                        "field_name": "currency",
                        "operator": "EQUALS",
                        "value": "NOK",
                        "rules": [
                            {}
                        ],
                        "rules_count": "string",
                        "created_at": "2019-08-24T14:15:22.123Z",
                        "updated_at": "2019-08-24T14:15:22.123Z"
                    }
                ],
                "conditions_count": "string",
                "actions": [
                    {
                        "id": 0,
                        "order": 0,
                        "action_type": "SET_YNAB_FIELD",
                        "field_name": "memo",
                        "value": "{{ transaction.remittance_information.unstructured | remove: \"REF \" }}",
                        "rules": [
                            {}
                        ],
                        "rules_count": "string",
                        "created_at": "2019-08-24T14:15:22.123Z",
                        "updated_at": "2019-08-24T14:15:22.123Z"
                    }
                ],
                "actions_count": "string",
                "financial_accounts": [
                    {
                        "rule_position": 0,
                        "financial_account": {
                            "id": 0,
                            "financial_connection_id": 0,
                            "financial_connection": {
                                "id": 0,
                                "institution_id": 0,
                                "institution": {
                                    "id": 0,
                                    "integrator": "UNKNOWN",
                                    "country": "string",
                                    "name": "string",
                                    "bic": "string",
                                    "external_id": "string",
                                    "logo": "string",
                                    "supported": true,
                                    "supports_pending_transactions": true,
                                    "supports_card_accounts": true,
                                    "max_historical_days": 0,
                                    "max_access_valid_for_days": 0,
                                    "category": "string",
                                    "updated_at": "2019-08-24T14:15:22.123Z"
                                },
                                "enabled": true,
                                "health": {
                                    "status": "HEALTHY",
                                    "integrator_message": "string",
                                    "failure_count": 0,
                                    "last_attempt_at": "2019-08-24T14:15:22.123Z"
                                },
                                "status": "string",
                                "status_message": "string",
                                "sync_balances": true,
                                "supports_reauthorization": "string",
                                "supports_manage": "string",
                                "max_historical_days": "string",
                                "access_valid_for_days": "string",
                                "consent_expires_at": "string",
                                "accounts_last_synced_at": "2019-08-24T14:15:22.123Z",
                                "financial_accounts": [
                                    {}
                                ],
                                "financial_accounts_count": "string",
                                "created_at": "2019-08-24T14:15:22.123Z",
                                "updated_at": "2019-08-24T14:15:22.123Z"
                            },
                            "config": {
                                "map_fields": {
                                    "payee": "AUTO",
                                    "description": "AUTO",
                                    "date": "AUTO"
                                },
                                "enrichment": {
                                    "enabled": "string",
                                    "provider": "string",
                                    "c
Modified at 2026-07-14 16:18:50
Previous
Preview a rule against transactions (dry-run)
Next
Get rule log
Built with